// -*- C++ -*-
//
// Ugeom.cc
// User routine for the detector definition
//
// Author:  Mitsuhiro YAMAGA (yamaga@post.kek.jp)
// Created: Thu Jul 12 15:34:41 JST 2001
//
// $Id: Ugeom.cc,v 1.1.1.1 2002/08/13 12:48:08 kensh Exp $
//
// Revision History
//
// $Log: Ugeom.cc,v $
// Revision 1.1.1.1  2002/08/13 12:48:08  kensh
//
//
// Start version.
//
//

#include <iostream>
#include "ccfortran/ccfortran.h"
#include "ccfortran/G321Common.h"


////////////////
extern void  GsimUserMate();
extern void  GsimUserGeom();


////////////////
void
Ugeom()
{
  if ( gcflag_.ISWIT[3-1] > 0 )
    std::cerr << "Ugeom" << std::endl;

  // Detector definition 
  GsimUserMate();
  GsimUserGeom();

  // Close geometry banks
  GGCLOS();
 
}

