c -*- Fortran -*-
c
c gsim_ffread.F
c FFREAD routine
c
c Author:  Mitsuhiro YAMAGA (yamaga@post.kek.jp)
c Created: Thu Jul 12 15:34:41 JST 2001
c
c $Id: gsim_ffread.F,v 1.1.1.1 2002/08/13 12:48:09 kensh Exp $
c
c Revision History
c
c $Log: gsim_ffread.F,v $
c Revision 1.1.1.1  2002/08/13 12:48:09  kensh
c
c
c Start version.
c
c
      subroutine gsim_ffread
c
c     implicit none
c
c Logical units for I/Os.
      Integer  LGsimDat
      Parameter( LGsimDat = 98 ) ! for gsim.dat
      character*160  fname

      call getenv( 'GSIM_INPUT',fname )
      if ( index( fname,' ' ) .le. 1 ) then
         fname = 'gsim.dat'
      endif
      open( LGsimDat,FILE=fname,STATUS='UNKNOWN' )
      call ffset( 'LINP',LGsimDat )
      call gffgo
      close( LGsimDat )
c
      return
      end

